Get Hotel Info Completed Tasks


The ‘Tasks Ready’ endpoint is designed to provide you with the list of completed tasks, which haven’t been collected yet. If you don’t use the postback_url, you can receive the list of id for all completed tasks using this endpoint. Then, you can collect the results using the ‘Task GET’ endpoint.

Learn more about task completion and obtaining a list of completed tasks in this help center article.

Note: due to the peculiarities of our architecture the queue of completed tasks is updated with a small delay, which can be an issue for high-volume users. If your system requires collecting over 1000 tasks a minute, we recommend using pingbacks/postbacks instead, and applying the Tasks Ready endpoint only to obtain the IDs of failed postback tasks.

checked GET

You can obtain a list of completed tasks for the selected search engine (replace $se with a search engine name).

checked GET

To obtain a list of completed Business Data API tasks, use the following endpoint:

checked GET
Pricing

Your account is not charged when receiving results

Each separate task will remain on the list until it is collected. You can make up to 20 API calls per minute. With each API call, you can get 1000 tasks completed within three previous days. The list will not contain tasks which have already been collected and the tasks that were not collected within the three days after completion.

Please note that if you specify the postback_url, the task will not be in the list of completed tasks. The task can only be found in the list if the request to your server failed, and your server returned HTTP code response less than 200 or higher than 300.

As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the parameters passed in the request's URL

resultarray

array of results

    idstring

task identifier of the completed task
unique task identifier in our system in the UUID format

    sestring

search engine specified when setting the task
can take the following values: google

    se_typestring

search engine specified when setting the task

    date_postedstring

date when the task was posted (in the UTC format)

    tagstring

user-defined task identifier

    endpointstring

URL for collecting the results of the task


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/business_data/google/hotel_info/tasks_ready" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// GET /v3/business_data/google/hotel_info/tasks_ready
	$result = $client->get('/v3/business_data/google/hotel_info/tasks_ready');
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/business_data/google/hotel_info/tasks_ready',
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# using this method you can get a list of completed tasks
# GET /v3/business_data/google/hotel_info/tasks_ready
response = client.get("/v3/business_data/google/hotel_info/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task business_data_info_tasks_ready()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get a list of completed tasks
            // GET /v3/business_data/google/hotel_info/tasks_ready
            var response = await httpClient.GetAsync("/v3/business_data/google/hotel_info/tasks_ready");
            var result = JsonConvert.DeserializeObject(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20210519",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.2094 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "05261328-2692-0284-0000-3e6f26e787c5",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0539 sec.",
      "cost": 0,
      "result_count": 4,
      "path": [
        "v3",
        "business_data",
        "google",
        "hotel_info",
        "tasks_ready"
      ],
      "data": {
        "se_type": "hotel_info",
        "se": "google",
        "api": "business_data",
        "function": "hotel_info"
      },
      "result": [
        {
          "id": "05261258-2692-0282-0000-078882a2c312",
          "se": "google",
          "se_type": "hotel_info",
          "date_posted": "2021-05-26 09:58:17 +00:00",
          "tag": "",
          "endpoint_advanced": "/v3/business_data/google/hotel_info/task_get/advanced/05261258-2692-0282-0000-078882a2c312",
          "endpoint_html": "/v3/business_data/google/hotel_info/task_get/html/05261258-2692-0282-0000-078882a2c312"
        },
        {
          "id": "05261258-2692-0282-0000-5c5e0ceff8ce",
          "se": "google",
          "se_type": "hotel_info",
          "date_posted": "2021-05-26 09:58:24 +00:00",
          "tag": "",
          "endpoint_advanced": "/v3/business_data/google/hotel_info/task_get/advanced/05261258-2692-0282-0000-5c5e0ceff8ce",
          "endpoint_html": "/v3/business_data/google/hotel_info/task_get/html/05261258-2692-0282-0000-5c5e0ceff8ce"
        },
        {
          "id": "05261258-2692-0282-0000-701960c33164",
          "se": "google",
          "se_type": "hotel_info",
          "date_posted": "2021-05-26 09:58:24 +00:00",
          "tag": "",
          "endpoint_advanced": "/v3/business_data/google/hotel_info/task_get/advanced/05261258-2692-0282-0000-701960c33164",
          "endpoint_html": "/v3/business_data/google/hotel_info/task_get/html/05261258-2692-0282-0000-701960c33164"
        },
        {
          "id": "05261258-2692-0282-0000-0887718fcfba",
          "se": "google",
          "se_type": "hotel_info",
          "date_posted": "2021-05-26 09:58:23 +00:00",
          "tag": "",
          "endpoint_advanced": "/v3/business_data/google/hotel_info/task_get/advanced/05261258-2692-0282-0000-0887718fcfba",
          "endpoint_html": "/v3/business_data/google/hotel_info/task_get/html/05261258-2692-0282-0000-0887718fcfba"
        }
      ]
    }
  ]
}